# -*- encoding : utf-8 -*-
module ApplicantsHelper
  def facebook_search_link(applicant)
    search_url = "https://www.facebook.com/search/results.php?#{{q: applicant.full_name}.to_query}"
    link_to t('job_applications.find_on_facebook', name: applicant.full_name), search_url,
      class: "applicant_facebook"
  end

  def password_reset_link(args = {})
    email = args[:email]
    recovery_hash = args[:recovery_hash]

    if email.nil? || recovery_hash.nil?
      raise "Email or recovery_hash not supplied."
    end

    "http://www-rails.samfundet.no#{reset_password_path}?email=#{ email }&hash=#{ recovery_hash }"
  end  
end
